Update account limits
curl --request POST \
--url https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountSingle": 7500,
"accountDaily": 15000,
"accountMonthly": 60000
}
'import requests
url = "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits"
payload = {
"accountSingle": 7500,
"accountDaily": 15000,
"accountMonthly": 60000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountSingle: 7500, accountDaily: 15000, accountMonthly: 60000})
};
fetch('https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountSingle' => 7500,
'accountDaily' => 15000,
'accountMonthly' => 60000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits"
payload := strings.NewReader("{\n \"accountSingle\": 7500,\n \"accountDaily\": 15000,\n \"accountMonthly\": 60000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountSingle\": 7500,\n \"accountDaily\": 15000,\n \"accountMonthly\": 60000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountSingle\": 7500,\n \"accountDaily\": 15000,\n \"accountMonthly\": 60000\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"accountSingle": 7500,
"accountDaily": 15000,
"accountMonthly": 60000,
"maximumSingle": 10000,
"maximumDaily": 25000,
"maximumMonthly": 100000
}
}Accounts
Update account limits
Sets the account’s single, daily, and monthly transaction limits. All three are required, so send the current value for any you aren’t changing. Nothing can be negative or above the program ceiling from Get account limits; a limit with no ceiling isn’t capped. The response is the updated limits without usedDaily or usedMonthly.
POST
/
v1
/
customers
/
{customerId}
/
accounts
/
{accountId}
/
limits
Update account limits
curl --request POST \
--url https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountSingle": 7500,
"accountDaily": 15000,
"accountMonthly": 60000
}
'import requests
url = "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits"
payload = {
"accountSingle": 7500,
"accountDaily": 15000,
"accountMonthly": 60000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountSingle: 7500, accountDaily: 15000, accountMonthly: 60000})
};
fetch('https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountSingle' => 7500,
'accountDaily' => 15000,
'accountMonthly' => 60000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits"
payload := strings.NewReader("{\n \"accountSingle\": 7500,\n \"accountDaily\": 15000,\n \"accountMonthly\": 60000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountSingle\": 7500,\n \"accountDaily\": 15000,\n \"accountMonthly\": 60000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountSingle\": 7500,\n \"accountDaily\": 15000,\n \"accountMonthly\": 60000\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"accountSingle": 7500,
"accountDaily": 15000,
"accountMonthly": 60000,
"maximumSingle": 10000,
"maximumDaily": 25000,
"maximumMonthly": 100000
}
}Authorizations
The user's access_token from authentication. The program and environment come from the token.
Body
application/json
Required. Single-transaction limit; at most maximumSingle when the account has one.
Required range:
x >= 0Required. Daily limit; at most maximumDaily when the account has one.
Required range:
x >= 0Required. Monthly limit; at most maximumMonthly when the account has one.
Required range:
x >= 0